Bug 61947 - up2date_client cannot import clap module
up2date_client cannot import clap module
Status: CLOSED DUPLICATE of bug 61749
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
skipjack-beta1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 23:51 EST by Phil
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-26 12:16:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil 2002-03-25 23:51:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/2.99 (3.0 rc3); Linux)

Description of problem:
Possible not a bug as probably rhn availability is not enabled for this product yet (?) The up2date_client python program cannot import a module called clap. This was a fresh install on a formated partition, and not an upgrade from 7.2 -> skipjack

Traceback (innermost last):
  File "/usr/sbin/up2date", line 16, in ?
    from up2date_client import clap
ImportError: cannot import name clap



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

After running rhn_register, run up2date 

Actual Results:  Program fails

Expected Results:  up2date should have started

Additional info:
Comment 1 Geoff Lane 2002-03-26 12:16:55 EST
On line 16 of the up2date python script the import is wrong.
This patch fixes it for me. (done with patch -u)

--- up2date     Tue Mar 26 11:14:44 2002
+++ /usr/sbin/up2date   Mon Mar 25 11:52:57 2002
@@ -13,7 +13,7 @@
 from up2date_client import config
 from up2date_client.translate import _, N_, cat
 from up2date_client import up2date
-from up2date_client import clap
+import clap
 
 try:
     from rhn import rpclib
Comment 2 Adrian Likins 2002-03-26 12:53:13 EST

*** This bug has been marked as a duplicate of 61749 ***

Note You need to log in before you can comment on or make changes to this bug.